Skip to main content
GET
List common slots
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Query Parameters

emails[]
string[]
required

Emails of the team members who must all be free. At most 20.

Maximum array length: 20
Example:
duration
integer
required

Length of the slot in minutes, from 5 to 720.

Required range: 5 <= x <= 720
Example:

45

start_date
string<date>
required

First date to search (YYYY-MM-DD).

Example:

"2026-10-06"

end_date
string<date>
required

Last date to search (YYYY-MM-DD). At most 31 days after start_date.

Example:

"2026-10-10"

time_zone
string
required

Time zone, in IANA format, in which the slots are returned.

Example:

"America/New_York"

Response

OK - Request succeeded

slots
object[]